microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Create an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations
Creates an invocation for the specified agent version.
路徑參數
agent_name
string
必要
The name of the agent.
查詢參數
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
必要
The API version to use for this operation.
標頭參數
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
要求本文
The request body.
Content-Type: */*
回覆
The request has succeeded.
標題
x-agent-invocation-id
string
必要
Unique identifier for this invocation.
x-agent-session-id
string
必要
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
主體
Content-Type: */*
Request
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
回應
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json